Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030090
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] A. Platformminoralways2015-06-01 13:172015-06-18 09:08
ReporterpsanjuanView Statuspublic 
Assigned Tocaristu 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q2.2
StatusclosedFix in branchFixed in SCM revision2b3e6dd38916
ProjectionnoneETAnoneTarget Version3.0PR15Q2.2
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-04-14
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/402d7bca3f774737bf194cb7cbe41d2454a69326 [^]
Triggers an Emergency PackNo
Summary

0030090: Select Payments Pick&Edit window is not working properly

DescriptionSelect Payments Pick&Edit window is not working properly as once a payment in USD is selected the currency of that payment changes to EUR and rest of USD currency payments change USD currency to 100 (Currency ID)

In any case once any payment is selected, USD currency payments change USD currency to 100 (Currency ID)
Steps To ReproduceInstall Remittance module attached and apply Remittance dataset to F&B España in the enterprise module management window.

Navigate to payment method window and create a new one with below setup:
Name "Payment Out Remittance Multicurrency"
Payment Out Allowed = Yes
Make Payments in multiple currencies = Yes
Execution type = Automatic
Execution Process = In remittance
Deferred=Yes

Go to Remittance type window and create a new one with below setup:
Name = Payment Out Remittance Multicurrency
Payment method = Payment Out Remittance Multicurrency
Posting allowed = Yes

Go to Financial Account window and search by "Cuenta de Banco", go to Payment Method tab and select there "Payment Out Remittance Multicurrency" payment method.

Go to price list and create a new one (purchase) in USD.
Price List version valid from 01-01-2014, price List schema = Esquema de tarificación.

Go to "Product Price" tab and select a product (i.e. Agua sin Gas 1L), and enter 100.00 as unit price/list price

Go to BP window and create a new vendor/supplier named i.e Vendor USA. Go to Vendor/Creditor tab and enter below setup:
Purchase price List: Purchase price list in USD
PO Payment Method: Payment Out Remittance Multicurrency
PO Payment Terms: Treinta días
PO Financial Account = Cuenta de Banco

Go to Location tab and enter United States country address.

Navigate to Purchase Invoice window.
Create a new record for F&B España with below setup:
Business Partner: Vendor USA 2
Invoice Date = Accounting Date = 21-05-2015
 Go to lines and create one line with below setup:
Agua sin Gas 1L, 150 units.
Complete and Post the invoice. (Purchase Invoice 100000654)
Total Gross Amount = 15000.00 USD

Navigate to Purchase Invoice window.
Select purchase invoice 1000000654
Click on Add Payment button and enter below data:
Payment Date = 30-06-2015
Edit 20-07-2015 expected date line, and change Amount field to 1000.00, therefore Actual Payment field changes to 10000.00 USD
Select Process Made Payment option in ""Action Regarding Document"" field
Press Done. Created Payment 1000356

Navigate to Remittance window
Create a new one by entering below data:
Remittance Type = Payment Out Remittance Multicurrency
Transaction date = Expected date = 30/06/2015
Name = Payment Out Remittance 1 Multicurrency
Save
Click on Select Payments button. Remove by default filter in the ""Select Payments"" window

Select any payment there and realize that USD payments currency column changes to "100".

See image attached.
TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030060 closedcaristu Select Payments Pick&Edit window is not working properly 

-  Notes
(0078173)
hgbot (developer)
2015-06-10 10:23

Repository: erp/backports/3.0PR15Q2.2
Changeset: 2b3e6dd38916f447d32d7c826f27af349caae226
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jun 10 10:22:04 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/2b3e6dd38916f447d32d7c826f27af349caae226 [^]

Fixes issue 30090: Select Payments Pick&Edit window is not working properly

When selecting a record in a P&E grid, the request done to the FIC was not using the correct mode. Now, when selecting a record, the request is properly done using the EDIT mode.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0078327)
hgbot (developer)
2015-06-16 18:07

Repository: erp/backports/3.0PR15Q2.2
Changeset: f50c80f95f7e7f26ffd6dd3650639b3604d31c1f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jun 16 18:06:36 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/f50c80f95f7e7f26ffd6dd3650639b3604d31c1f [^]

Related to issue 30090: displayed value should be set in fk fields

When the default value of a foreign key field in a new record does not exist already in the grid data, the display value can not be recovered in the setEditValue() method.
In order to ensure the display value is updated to reflect the new edit-value for this field, the display value is now explicitly set.
Also, we send null ROW_ID to avoid the edit values be overriden by the FIC response

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0078361)
alostale (developer)
2015-06-18 09:08

code reviewed + tested

- Issue History
Date Modified Username Field Change
2015-06-04 13:06 caristu Type defect => backport
2015-06-04 13:06 caristu Target Version => 3.0PR15Q2.2
2015-06-04 13:27 alostale Severity major => minor
2015-06-10 09:29 dmitry_mezentsev Tag Attached: Approved
2015-06-10 10:22 caristu Review Assigned To => alostale
2015-06-10 10:22 caristu Issue Monitored: alostale
2015-06-10 10:23 hgbot Checkin
2015-06-10 10:23 hgbot Note Added: 0078173
2015-06-10 10:23 hgbot Status scheduled => resolved
2015-06-10 10:23 hgbot Resolution open => fixed
2015-06-10 10:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q2.2/rev/2b3e6dd38916f447d32d7c826f27af349caae226 [^]
2015-06-16 18:07 hgbot Checkin
2015-06-16 18:07 hgbot Note Added: 0078327
2015-06-18 09:08 alostale Note Added: 0078361
2015-06-18 09:08 alostale Status resolved => closed
2015-06-18 09:08 alostale Fixed in Version => 3.0PR15Q2.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker